仕入明細検索
curl -X POST -H 'content-type: application/x-www-form-urlencoded' -d 'access_token=xxxxx&refresh_token=xxxxx&wait_flag=1&fields=supply_order_id,supply_order_row_no,supply_order_row_goods_id,supply_order_row_goods_name,supply_order_row_goods_option,supply_order_row_surplus_quantity,supply_order_row_quantity,supply_order_row_unit_price,supply_order_row_sub_total_price,supply_order_row_order_id,supply_order_row_order_row_no,supply_order_row_receive_order_id,supply_order_row_receive_order_row_no,supply_order_row_status,supply_order_row_completed_flag,supply_order_row_note,supply_order_row_deleted_flag,supply_order_row_creation_date,supply_order_row_last_modified_date,supply_order_row_last_modified_null_safe_date,supply_order_row_creator_id,supply_order_row_creator_name,supply_order_row_last_modified_by_id,supply_order_row_last_modified_by_null_safe_id,supply_order_row_last_modified_by_name,supply_order_row_last_modified_by_null_safe_name&offset=0&limit=10&supply_order_id-eq=1' https://api.next-engine.org/api_v1_supplyorder_row/search// POST /api_v1_supplyorder_row/search - 仕入明細検索const params = new URLSearchParams({ access_token: '<access_token>', fields: 'field1,field2', offset: '0', limit: '50',})const res = await fetch('https://api.next-engine.org/api_v1_supplyorder_row/search', { method: 'POST', headers: { 'content-type': 'application/x-www-form-urlencoded' }, body: params,})const json = await res.json()if (json.result !== 'success') throw new Error(json.message ?? json.code)console.log(json.data)# POST /api_v1_supplyorder_row/search - 仕入明細検索import requests
params = { 'access_token': '<access_token>', 'fields': 'field1,field2', 'offset': '0', 'limit': '50',}res = requests.post( 'https://api.next-engine.org/api_v1_supplyorder_row/search', data=params,)json = res.json()if json['result'] != 'success': raise RuntimeError(json.get('message') or json.get('code'))print(json.get('data'))Request Body required
Section titled “Request Body required ”object
OAuth2 アクセストークン (必須)
OAuth2 リフレッシュトークン (access_token 期限切れ時の自動更新に使用)
同期実行フラグ。“1” 指定で処理完了を待つ
取得するフィールドをカンマ区切りで指定 (search 系のみ)
検索開始位置 (search 系のみ)
取得件数 (search 系のみ)
Responses
Section titled “ Responses ”実行結果 (result が success / error / redirect のいずれか)
object
実行結果ステータス
エラー時のエラーコード
object
更新後のアクセストークン
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
更新後のリフレッシュトークン
リフレッシュトークン有効期限
エンドポイント固有のレスポンスデータ
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
object
仕入伝票番号 / 数値型
仕入明細行 / 数値型
商品コード / 文字列型
商品名 / 文字列型
商品オプション / 文字列型
余剰数 / 数値型
仕入数 / 数値型
仕入単価 / 数値型
小計金 / 数値型
発注伝票番号 / 数値型
発注明細行 / 数値型
受注伝票番号 / 数値型
受注明細行 / 数値型
仕入明細行区分 / 文字列型 / 0:通常仕入, 95:不良品振替
仕入完了状態 / 文字列型 / 0:未完了,1:完了
備考 / 文字列型
削除フラグ / 文字列型 / 1:有効 1以外:無効
作成日 / 日時型
最終更新日 / 日時型
最終更新日 / 日時型 / NULLの場合作成日
作成担当者ID / 数値型
作成担当者名 / 文字列型
最終更新者ID / 数値型
最終更新者ID / 数値型 / NULLの場合作成者ID
最終更新者名 / 文字列型
最終更新者名 / 文字列型 / NULLの場合作成者名
Example
{ "result": "success", "count": "3", "data": [ { "supply_order_id": "1", "supply_order_row_no": "1", "supply_order_row_goods_id": "bn,nm", "supply_order_row_goods_name": "2", "supply_order_row_goods_option": "", "supply_order_row_surplus_quantity": "250", "supply_order_row_quantity": "250", "supply_order_row_unit_price": "1.00", "supply_order_row_sub_total_price": "250.00", "supply_order_row_order_id": "0", "supply_order_row_order_row_no": "1", "supply_order_row_receive_order_id": "0", "supply_order_row_receive_order_row_no": "0", "supply_order_row_status": "0", "supply_order_row_completed_flag": "0", "supply_order_row_note": "", "supply_order_row_deleted_flag": "0", "supply_order_row_creation_date": "2018-02-23 13:51:57", "supply_order_row_last_modified_date": "2018-02-23 13:51:57", "supply_order_row_last_modified_null_safe_date": "2018-02-23 13:51:57", "supply_order_row_creator_id": "10012", "supply_order_row_creator_name": "Le Hung", "supply_order_row_last_modified_by_id": "10012", "supply_order_row_last_modified_by_null_safe_id": "10012", "supply_order_row_last_modified_by_name": "Le Hung", "supply_order_row_last_modified_by_null_safe_name": "Le Hung" }, { "supply_order_id": "1", "supply_order_row_no": "2", "supply_order_row_goods_id": ",,inverter300-12v60hz_fuse", "supply_order_row_goods_name": "インバーター定格300W 12DCV 60Hz用予備ヒューズ", "supply_order_row_goods_option": "", "supply_order_row_surplus_quantity": "350", "supply_order_row_quantity": "350", "supply_order_row_unit_price": "1.00", "supply_order_row_sub_total_price": "350.00", "supply_order_row_order_id": "0", "supply_order_row_order_row_no": "2", "supply_order_row_receive_order_id": "0", "supply_order_row_receive_order_row_no": "0", "supply_order_row_status": "0", "supply_order_row_completed_flag": "0", "supply_order_row_note": "", "supply_order_row_deleted_flag": "0", "supply_order_row_creation_date": "2018-02-23 13:51:57", "supply_order_row_last_modified_date": "2018-02-23 13:51:57", "supply_order_row_last_modified_null_safe_date": "2018-02-23 13:51:57", "supply_order_row_creator_id": "10012", "supply_order_row_creator_name": "Le Hung", "supply_order_row_last_modified_by_id": "10012", "supply_order_row_last_modified_by_null_safe_id": "10012", "supply_order_row_last_modified_by_name": "Le Hung", "supply_order_row_last_modified_by_null_safe_name": "Le Hung" }, { "supply_order_id": "1", "supply_order_row_no": "3", "supply_order_row_goods_id": ",,,,,bnnnm", "supply_order_row_goods_name": "1", "supply_order_row_goods_option": "", "supply_order_row_surplus_quantity": "450", "supply_order_row_quantity": "450", "supply_order_row_unit_price": "1.00", "supply_order_row_sub_total_price": "450.00", "supply_order_row_order_id": "0", "supply_order_row_order_row_no": "3", "supply_order_row_receive_order_id": "0", "supply_order_row_receive_order_row_no": "0", "supply_order_row_status": "0", "supply_order_row_completed_flag": "0", "supply_order_row_note": "", "supply_order_row_deleted_flag": "0", "supply_order_row_creation_date": "2018-02-23 13:51:57", "supply_order_row_last_modified_date": "2018-02-23 13:51:57", "supply_order_row_last_modified_null_safe_date": "2018-02-23 13:51:57", "supply_order_row_creator_id": "10012", "supply_order_row_creator_name": "Le Hung", "supply_order_row_last_modified_by_id": "10012", "supply_order_row_last_modified_by_null_safe_id": "10012", "supply_order_row_last_modified_by_name": "Le Hung", "supply_order_row_last_modified_by_null_safe_name": "Le Hung" } ], "access_token": "xxxxx", "access_token_end_date": "2018-02-24 12:13:16", "refresh_token": "xxxxx", "refresh_token_end_date": "2018-02-26 12:13:16"}クライアントエラー (HTTP ステータス自体は 200 + result=error で返ることが多い)
object
実行結果ステータス
エラー時のエラーコード
object
更新後のアクセストークン
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
更新後のリフレッシュトークン
リフレッシュトークン有効期限
エンドポイント固有のレスポンスデータ
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
Example
{ "result": "success"}